@import url("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.9.1/font/bootstrap-icons.css");

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: "Lucida Sans", "Lucida Sans Regular", "Lucida Grande",
		"Lucida Sans Unicode", Geneva, Verdana, sans-serif;
}

body {
	max-width: 100%;
	min-height: 100vh;

	display: flex;
	justify-content: center;
	align-items: center;

	background-color: #333;
}
.container {
	width: 25rem;
	height: 31.25rem;

	background-color: rgba(250, 243, 243, 0.3);

	overflow-y: scroll;

	border-radius: 1.25rem;
	box-shadow: 10px 10px 8px 0px rgba(250, 243, 243, 0.8);
}
.container::-webkit-scrollbar {
	display: none;
}
form {
	display: flex;
	justify-content: center;
	align-items: center;

	position: relative;
}
.bi {
	position: absolute;
	top: 0.2rem;
	left: 3.43rem;

	margin-top: 0.625rem;
	border-right: 2px solid black;
	padding-right: 0.625rem;
}
input {
	margin-top: 0.625rem;
	width: 18.75rem;

	border-radius: 1.25rem;
	border: none;

	height: 1.56rem;
	outline: none;
	padding-left: 3.125rem;
}

.product-list {
	width: 25rem;
	height: 43.75rem;
}
.product {
	display: flex;
}

img {
	width: 8.125rem;
	height: 6.25rem;

	padding: 0 0.625rem 0.625rem;
	margin: 0.625rem;
	display: inline-block;
}

.p-detail {
	display: flex;
	justify-content: flex-start;

	flex-direction: column;

	margin-top: 1.25rem;
	font-size: 1.3rem;
}

h2,
p {
	font-weight: 800;
	color: rgba(42, 43, 44, 0.348);
	text-shadow: 1px 2px 1px #fff;
}

.container,
input,
.product-list,
img,
.p-detail {
	transition: all 2s ease;
}

@media screen and (max-width: 750px) {
	.container {
		width: 20rem;
		height: 27rem;
		border-radius: 1rem;
	}

	input {
		width: 14rem;
		border-radius: 1rem;
	}

	.product-list {
		width: 22rem;
		height: 41.75rem;
	}

	img {
		width: 7.125rem;
		height: 5.25rem;

		padding: 0 0.55rem 0.5rem;
		margin: 0.5rem;
	}

	.p-detail {
		margin-top: 20px;
		font-size: 1rem;
	}
}

@media screen and (max-width: 450px) {
	.container {
		width: 15rem;
		height: 22rem;
		border-radius: 0.75rem;
	}

	input {
		width: 9rem;

		border-radius: 0.6rem;
		font-size: 0.7rem;

		padding-left: 2.75rem;
	}

	.product-list {
		width: 19rem;
		height: 39rem;
	}

	img {
		width: 6.125rem;
		height: 4.25rem;

		padding: 0 0.45rem 0.4rem;
		margin: 0.4rem;
	}

	.p-detail {
		font-size: 0.65rem;
	}
}

@media screen and (max-width: 300px) {
	.container {
		width: 10rem;
		height: 17rem;
	}

	input {
		width: 4rem;

		border-radius: 0.4rem;
		font-size: 0.45rem;

		height: 0.9rem;

		padding-left: 0.3rem;
	}
	.bi {
		display: none;
	}

	.product-list {
		width: 16rem;
		height: 35rem;
	}

	img {
		width: 4.125rem;
		height: 3.25rem;

		padding: 0 0.3rem 0.2rem;
		margin: 0.3rem;
	}

	.p-detail {
		margin-top: 0.9rem;
		font-size: 0.4rem;
	}
}
